SystemOrganization addCategory: #'Rizel-Test-Scenario'!

Object subclass: #RSMember
	instanceVariableNames: 'name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Test-Scenario'!

RSMember subclass: #RSDirectory
	instanceVariableNames: 'members'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Test-Scenario'!

!RSDirectory methodsFor: 'accessing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:58'!
add: object
	members add: object.! !

!RSDirectory methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:12'!
collect:aBlock in: collection
	members do:[  :m | m collect: aBlock in: collection].! !

!RSDirectory methodsFor: 'initialize-release' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:11'!
initialize
	super initialize.
	members := OrderedCollection new.! !

!RSDirectory methodsFor: 'accessing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:57'!
members 
	^ members ! !

!RSDirectory methodsFor: 'accessing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:58'!
members: collection
	 members := collection! !

!RSDirectory methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:30'!
open
	self error: 'This is a Directory'! !

!RSDirectory methodsFor: 'accessing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:46'!
size
	^ members inject: 0 into: [ :sum :inj | sum + inj]. ! !

RSMember subclass: #RSFile
	instanceVariableNames: 'size'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Test-Scenario'!

!RSFile class methodsFor: 'factory' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:27'!
named: aString size: aNumber
	|inst|
	inst:= super named: aString.
	inst size: aNumber.
	^ inst.! !

!RSFile methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:06'!
collect:aBlock in: collection
	(aBlock value: self) ifTrue: [ collection add: self. ].! !

!RSFile methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:40'!
open
	|delay|
	(Delay forMilliseconds: (self size)) wait.! !

!RSFile methodsFor: 'accessing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:38'!
size
	^ size .! !

!RSFile methodsFor: 'accessing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:28'!
size: aNumber
	size := aNumber.! !

RSFile subclass: #RSImageFile
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Test-Scenario'!

!RSImageFile methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:40'!
open
	|delay|
	(Delay forMilliseconds: ( self size*2)) wait.! !

RSFile subclass: #RSMP3File
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Test-Scenario'!

!RSMP3File methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 7/5/2012 17:34'!
open
	|delay|
	(Delay forMilliseconds: (self size*6)) wait.! !

RSFile subclass: #RSMP4File
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Test-Scenario'!

!RSMP4File methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:40'!
open
	|delay|
	(Delay forMilliseconds: (self size*4)) wait.! !

RSFile subclass: #RSTextFile
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Test-Scenario'!

!RSTextFile methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 7/5/2012 17:34'!
open
	|delay|
	(Delay forMilliseconds: (self size*2)) wait.! !

!RSTextFile methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 7/5/2012 17:35'!
printOn: aStream
	aStream nextPutAll: 'text file'.! !

!RSMember class methodsFor: 'factory' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:59'!
named: aString
	|inst|
	inst := self new.
	inst name: aString.
	^ inst.! !

!RSMember methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:03'!
collect: aBlock
	^ self subclassResponsibility.! !

!RSMember methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:31'!
name
	^ name! !

!RSMember methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:31'!
name: aString
	name := aString.! !

!RSMember methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:29'!
open
	^ self subclassResponsibility.! !

!RSMember methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:31'!
size
	self subclassResponsibility.! !

Object subclass: #RSPenDrive
	instanceVariableNames: 'members'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Test-Scenario'!

!RSPenDrive methodsFor: 'accessing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:54'!
add: object
	members add: object.! !

!RSPenDrive methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:04'!
collect: aBlock
	|collection|
	collection := OrderedCollection new.
	self collect: aBlock in: collection.
	^ collection.! !

!RSPenDrive methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 22:06'!
collect: aBlock in: collection
	
	^ members do:[ :m| m collect: aBlock in: collection.].! !

!RSPenDrive methodsFor: 'initialize-release' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:56'!
initialize 
	super initialize.
	
	members :=OrderedCollection new.! !

!RSPenDrive methodsFor: 'accessing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:44'!
members
	^ members! !

!RSPenDrive methodsFor: 'accessing' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:45'!
members: aCollection
	members:= aCollection.! !

!RSPenDrive methodsFor: 'action' stamp: 'JuanPabloSandovalAlcocer 6/29/2012 21:44'!
open
	members do:[ :m | m open].! !
